// file: dt_set_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"

// method: set_cph_cc
//
// arguments:
//    char_1* cph: (input) central phone
// 
// return: a logical_1 indicating status
//
// this methods set the central phone this decision tree corresponds to
//
logical_1 Decision_tree::set_cph_cc(char_1* cph_a) {

  // clear memory if required
  //
  if(cph_d!= (char_1*)NULL) {
    delete [] cph_d;
    cph_d = (char_1*)NULL;
  }
  
  // allocate memory and set the central phone
  // 
  cph_d = new char_1[strlen((char*)cph_a) + (int_4)1];
  strcpy((char*)cph_d,(char*)cph_a); 
  
  // exit gracefully
  //
  return ISIP_TRUE; 
}
